Subject: Re: bug#37940: endless "try upgrading both" cycles

From: Arne Babenhauserheide <[email-masked]>
Date: Mon, 28 Oct 2019 01:03:48 +0100

Hi Mark and Ludovic,

Ludovic Courtès <[email-masked]> writes:

> Hi Arne & Mark,
>
> Mark H Weaver <[email-masked]> skribis:
>> Arne Babenhauserheide <[email-masked]> writes:
>>> When installing a package while some packages are not up to date, guix
>>> can require adding more and more packages to guix install:
>> [...]
>>> guix install: error: profile contains conflicting entries for util-linux
>>> guix install: error:   first entry: [email-masked] /gnu/store/xymkwf57x988q8cny2is1dgzrbr9xdfi-util-linux-2.34
>>> guix install: error:    ... propagated from [email-masked]
>>> guix install: error:    ... propagated from [email-masked]
>>> guix install: error:   second entry: [email-masked] /gnu/store/8k4pnixpz73kxvxbjqajgbprjjmmgpxy-util-linux-2.32.1
>>> hint: Try upgrading both `poppler' and `util-linux', or remove one of them from the profile.
>>
>> I just wanted to briefly mention that if you use the "declarative
>> approach" to specifying user profiles, via the --manifest option to
>> "guix package", you will avoid this problem entirely.  I've been happily
>> using that approach for years, and I literally cannot remember the last
>> time I saw a "conflicting entries" message.  I heartily recommend it.

I’m just using guix install when I need a new package and guix remove
to clean up. Shouldn’t that be equivalent?

> Indeed.  Even if you don’t use the declarative approach, usually just
> upgrade everything (“guix upgrade”) and you won’t have any problems
> either.
>
> Problems arise when you try to upgrade only part of the packages.

This problem cuts in when the system is not fully up to date and I use
guix install.

> Now, it doesn’t sound right that ‘util-linux’ is propagated from glib
> and from poppler…?

Poppler needs glib at runtime and glib needs tools from util-linux at
runtime?

Best wishes,
Arne
-- 
Unpolitisch sein
heißt politisch sein
ohne es zu merken